Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157453 - CAN-2005-1263 Linux kernel ELF core dump privilege elevation (ipf)
Summary: CAN-2005-1263 Linux kernel ELF core dump privilege elevation (ipf)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: ia64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard: public=20050511,source=isec,reported=...
Depends On:
Blocks: 143573
TreeView+ depends on / blocked
 
Reported: 2005-05-11 18:34 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version: RHSA-2005-551
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-25 13:18:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:551 normal SHIPPED_LIVE Important: kernel security update 2005-08-25 04:00:00 UTC

Description Mark J. Cox 2005-05-11 18:34:15 UTC
"A locally exploitable flaw has been found in the Linux ELF binary format
loader's core dump  function  that  allows  local  users  to  gain  root
privileges and also execute arbitrary code at kernel privilege level."

For the full description see
http://www.securityfocus.com/archive/1/397966/2005-05-08/2005-05-14/0

For the proposed patch see bug #157450 (not backported)

Comment 1 Don Howard 2005-07-28 21:44:14 UTC
After reviewing this issue and testing the expliot for CAN-2005-1263, I've found
that this has been corrected as of e.57

Comment 4 Red Hat Bugzilla 2005-08-25 13:18:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-551.html



Note You need to log in before you can comment on or make changes to this bug.